Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008157TestLinkReportspublic2017-12-12 09:552018-04-14 09:04
Reporterasma2017 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0008157: Test report shows results from inactive builds
DescriptionTest report shows results from inactive builds
Steps To Reproduce1.Access the 'Test Report & Matrics' under Test Execution in Homepage.
2.Report Format HTML
3.Select a test plan (with builds which are
     active&opened,inactive&closed,inactive &opened,active&closed)
4.Select 'test report'
5.Verify 'Inactive or closed builds in the report'
====
It hides only builds which are closed.
It shows the builds in report even if the build is inactive.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MYysql 10.1.190 PHP 5.6.28
BrowserChrome
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0027090)
fman (administrator)
2017-12-13 15:25

please get latest code from github, do fresh install, retest & provide feedback
(0027091)
asma2017 (reporter)
2017-12-13 15:54

Which version should I install please, is it 1.9.17?
(0027094)
fman (administrator)
2017-12-16 19:33

1.9.17 has not offically released, anyway latest code from github will be 1.9.17, use it
(0027096)
tbn83 (reporter)
2017-12-21 09:12

I got the latest code from github and I copied the archive at the same directory where I have Testlink 1.9.16. So must I install this new version?
If yes, how I recover my database used with Testlink 1.9.16?
Thanks
(0027140)
tbn83 (reporter)
2018-01-11 09:28

I tested the latest code and when I generate a test report, the build which is inactive is not taken into account. So we have also the results of builds active.
(0027146)
fman (administrator)
2018-01-15 20:21

Can you explain better if the issue can be considered closed? Your explanation is not clear at least for me.
(0027147)
tbn83 (reporter)
2018-01-16 09:02

As You said in your first message, I got the latest code from github, I installed and retested.
So I created 2 builds with several test cases. In the first build, I filled the 2 first Test cases and in the second build, I didn't fill the same test cases than the first build.
After that, I put "inactive" the first build. The second remains active.
I generated the test report and it shows only the results of active build.
So for me, the issue is resolved.
(0027304)
fman (administrator)
2018-04-14 09:04

release 1.9.17

- Issue History
Date Modified Username Field Change
2017-12-12 09:55 asma2017 New Issue
2017-12-13 15:25 fman Note Added: 0027090
2017-12-13 15:54 asma2017 Note Added: 0027091
2017-12-16 19:33 fman Note Added: 0027094
2017-12-21 09:12 tbn83 Note Added: 0027096
2018-01-11 09:28 tbn83 Note Added: 0027140
2018-01-15 20:21 fman Note Added: 0027146
2018-01-15 20:21 fman Assigned To => fman
2018-01-15 20:21 fman Status new => feedback
2018-01-16 09:02 tbn83 Note Added: 0027147
2018-01-20 19:06 fman QA Team - Task Workflow Status => READY FOR TESTING
2018-01-20 19:06 fman Status feedback => resolved
2018-01-20 19:06 fman Fixed in Version => 1.9.17 (2018 Q1)
2018-01-20 19:06 fman Resolution open => fixed
2018-04-14 09:04 fman Note Added: 0027304
2018-04-14 09:04 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker